\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=0.5cm,y=0.5cm]
\clip(-1,-1) rectangle (10,7);
\draw [shift={(5,0)},line width=0.8pt] (0,0) -- (60:0.6) arc (60:180:0.6) -- cycle;
\draw [line width=1pt] (0,0)-- node[below] {5} (5,0);
\draw [line width=1pt] (8.5,6.062177826491071)-- (0,0);
\draw [line width=1pt] (8.5,6.062177826491071)-- node[right] {7} (5,0);
\draw (-0.48,-0.27) node {$A$};
\draw (5.3,-0.51) node {$B$};
\draw (8.66,6.45) node {$C$};
\draw (4.32,0.91) node {$120\textrm{\degre}$};
\end{tikzpicture}